Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp
Class HierarchicalObjectInspector

    java.lang.Object
      de.grogra.imp.ObjectInspector
          de.grogra.imp.HierarchicalObjectInspector

All Implemented Interfaces:
  java.util.EventListener, javax.swing.event.TreeSelectionListener, javax.swing.tree.TreeModel

    public class HierarchicalObjectInspector

extends ObjectInspector

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.imp.ObjectInspector
`ObjectInspector.TreeNode`

Field Summary

Fields inherited from class de.grogra.imp.ObjectInspector
`ctx, filter, graph, hierarchicFilter, rootNode`

Constructor Summary
`HierarchicalObjectInspector(Context ctx, GraphManager graph)`

Method Summary
`void` | `buildTree()` Implement this method to set `rootNode` and its children.
`void` | `initialize()` Use this method for declarations etc.

Methods inherited from class de.grogra.imp.ObjectInspector
`addTreeModelListener, getChild, getChildCount, getIndexOfChild, getPathToTreeNode, getRoot, getTreeNodeForNode, isActiveGISelection, isActiveTreeSelection, isLeaf, removeFilter, removeTreeModelListener, setActiveGISelection, setActiveTreeSelection, setFilter, valueChanged, valueForPathChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HierarchicalObjectInspector

    public HierarchicalObjectInspector(Context ctx,
                                       GraphManager graph)

Method Detail

### buildTree

    public void buildTree()

  Description copied from class: `ObjectInspector`
  Implement this method to set `rootNode` and its children. The method is called in the constructor of ObjectInspector and every time the GroIMP scene graph changes.

  Specified by:
    `buildTree` in class `ObjectInspector`

### initialize

    public void initialize()

  Description copied from class: `ObjectInspector`
  Use this method for declarations etc. Only called once in constructor.

  Specified by:
    `initialize` in class `ObjectInspector`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD